summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2007-01-14 01:39:34 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:40:36 -0500
commitf60f9de6a833237767d1988ea67bc5d3368a4354 (patch)
tree9a0e01459d9e0af315c7c3f7d1a4f4982be696d7
parentd9665a737b978d0fcca1fd23ab04858e2fa81284 (diff)
downloadsamba-f60f9de6a833237767d1988ea67bc5d3368a4354.tar.gz
samba-f60f9de6a833237767d1988ea67bc5d3368a4354.tar.bz2
samba-f60f9de6a833237767d1988ea67bc5d3368a4354.zip
r20747: Move cifsdd to blackbox section
(This used to be commit 96ac1c62eef29e8c8c1df9719b6785134efe525c)
-rwxr-xr-xsource4/script/tests/tests_all.sh3
-rwxr-xr-xtestprogs/blackbox/test_cifsdd.sh (renamed from source4/script/tests/test_cifsdd.sh)43
2 files changed, 28 insertions, 18 deletions
diff --git a/source4/script/tests/tests_all.sh b/source4/script/tests/tests_all.sh
index 9fde15f4de..37d37ebd77 100755
--- a/source4/script/tests/tests_all.sh
+++ b/source4/script/tests/tests_all.sh
@@ -10,7 +10,6 @@
$SRCDIR/script/tests/test_echo.sh $SERVER $USERNAME $PASSWORD $DOMAIN || totalfailed=`expr $totalfailed + $?`
$SRCDIR/script/tests/test_posix.sh //$SERVER/tmp $USERNAME $PASSWORD "" || totalfailed=`expr $totalfailed + $?`
$SRCDIR/script/tests/test_local.sh || totalfailed=`expr $totalfailed + $?`
- $SRCDIR/script/tests/test_pidl.sh || totalfailed=`expr $totalfailed + $?`
$SRCDIR/script/tests/test_blackbox.sh $SERVER $USERNAME $PASSWORD $DOMAIN $PREFIX || totalfailed=`expr $totalfailed + $?`
- $SRCDIR/script/tests/test_cifsdd.sh $SERVER $USERNAME $PASSWORD $DOMAIN || totalfailed=`expr $totalfailed + $?`
+ $SRCDIR/script/tests/test_pidl.sh || totalfailed=`expr $totalfailed + $?`
$SRCDIR/script/tests/test_simple.sh //$SERVER/simple $USERNAME $PASSWORD "" || totalfailed=`expr $totalfailed + $?`
diff --git a/source4/script/tests/test_cifsdd.sh b/testprogs/blackbox/test_cifsdd.sh
index a8cc30a8a6..d216695821 100755
--- a/source4/script/tests/test_cifsdd.sh
+++ b/testprogs/blackbox/test_cifsdd.sh
@@ -21,10 +21,24 @@ DEBUGLEVEL=1
failed=0
-failtest() {
- failed=`expr $failed + 1`
+testit() {
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ failed=`expr $failed + 1`
+ fi
+ return $status
}
+
+
runcopy() {
message="$1"
shift
@@ -34,12 +48,9 @@ runcopy() {
}
compare() {
- cmp "$1" "$2"
+ tesit "$1" cmp "$2" "$3"
}
-incdir=`dirname $0`
-. $incdir/test_functions.sh
-
sourcepath=tempfile.src.$$
destpath=tempfile.dst.$$
@@ -53,27 +64,27 @@ for bs in 512 4k 48k ; do
echo "Testing $bs block size ..."
# Check whether we can do local IO
-runcopy "Testing local -> local copy" if=$sourcepath of=$destpath bs=$bs || failtest
-compare $sourcepath $destpath || failtest
+runcopy "Testing local -> local copy" if=$sourcepath of=$destpath bs=$bs
+compare "Checking local differences" $sourcepath $destpath
# Check whether we can do a round trip
runcopy "Testing local -> remote copy" \
- if=$sourcepath of=//$SERVER/$SHARE/$sourcepath bs=$bs || failtest
+ if=$sourcepath of=//$SERVER/$SHARE/$sourcepath bs=$bs
runcopy "Testing remote -> local copy" \
- if=//$SERVER/$SHARE/$sourcepath of=$destpath bs=$bs || failtest
-compare $sourcepath $destpath || failtest
+ if=//$SERVER/$SHARE/$sourcepath of=$destpath bs=$bs
+compare "Checking differences" $sourcepath $destpath
# Check that copying within the remote server works
runcopy "Testing local -> remote copy" \
- if=//$SERVER/$SHARE/$sourcepath of=//$SERVER/$SHARE/$sourcepath bs=$bs || failtest
+ if=//$SERVER/$SHARE/$sourcepath of=//$SERVER/$SHARE/$sourcepath bs=$bs
runcopy "Testing remote -> remote copy" \
- if=//$SERVER/$SHARE/$sourcepath of=//$SERVER/$SHARE/$destpath bs=$bs || failtest
+ if=//$SERVER/$SHARE/$sourcepath of=//$SERVER/$SHARE/$destpath bs=$bs
runcopy "Testing remote -> local copy" \
- if=//$SERVER/$SHARE/$destpath of=$destpath bs=$bs || failtest
-compare $sourcepath $destpath || failtest
+ if=//$SERVER/$SHARE/$destpath of=$destpath bs=$bs
+compare "Checking differences" $sourcepath $destpath
done
rm -f $sourcepath $destpath
-testok $0 $failed
+exit $failed